## python-aio-geojson-generic-client 0.4

=== requirements.txt ===
aio_geojson_client>=0.20
aiohttp>=3.7.4,<4
geojson>=2.4.0,<3
pytz>=2019.01

=== debian/changelog ===
python-aio-geojson-generic-client (0.4-3) unstable; urgency=medium

  * Team Upload
  * Fix d/watch for new PiPy archive naming policy
  * Use dh-sequence-python3
  * Replace transitional python3-tz with python3-pytz

 -- Alexandre Detiste <tchet@debian.org>  Mon, 17 Nov 2025 20:41:03 +0100

python-aio-geojson-generic-client (0.4-2) unstable; urgency=medium

  * Rebuilt source-only.

 -- Thomas Goirand <zigo@debian.org>  Fri, 02 Aug 2024 18:55:41 +0200

python-aio-geojson-generic-client (0.4-1) unstable; urgency=medium

  * Initial release. (Closes: #1077136)

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jul 2024 04:28:45 +0200

=== debian/control ===
Source: python-aio-geojson-generic-client
Section: python
Priority: optional
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-sequence-python3,
 openstack-pkg-tools,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-aio-geojson-client,
 python3-aiohttp,
 python3-aioresponses,
 python3-geojson,
 python3-pytest,
 python3-pytest-asyncio,
 python3-pytest-timeout,
 python3-pytest-xdist,
 python3-pytz,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-aio-geojson-generic-client
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-aio-geojson-generic-client.git
Homepage: https://github.com/exxamalte/python-aio-geojson-generic-client

Package: python3-aio-geojson-generic-client
Architecture: all
Depends:
 python3-aio-geojson-client,
 python3-aiohttp,
 python3-geojson,
 python3-pytz,
 ${misc:Depends},
 ${python3:Depends},
Description: generic async GeoJSON client library
 This library provides convenient async generic access to GeoJSON
 https://datatracker.ietf.org/doc/html/rfc7946 feeds. It uses asyncio and
 aiohttp.
 .
 This package is a dependency for Home Assistant.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/exxamalte/python-aio-geojson-generic-client
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/aio-geojson-generic-client/aio_geojson_generic_client-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
